perl-Module-Install-CheckConflicts-0.20.0-5-rosa2014.1.noarch.rpm


Advertisement

Description

perl-Module-Install-CheckConflicts - Notify users of possible conflicts with the distribution they're installing

Property Value
Distribution ROSA 2014.1
Repository ROSA Contrib x86_64
Package name perl-Module-Install-CheckConflicts
Package version 0.20.0
Package release 5-rosa2014.1
Package architecture noarch
Package type rpm
Installed size 8.46 KB
Download size 9.80 KB
Official Mirror mirror.rosalab.ru
Sometimes APIs need to be broken in incompatible ways. That's fine, as long
as all dependencies that relied on the old way have been updated already.
If users install install a new version of your module, but aren't aware
that they need to update other modules that might have been broken by that
new version, they'll be left with a non-functional installation of those
depending modules.
This module allows to declare modules your distribution breaks in your
'Makefile.PL'. If a user is installing your distribution, a message
explaining the situation and a list of additional modules he needs to
upgrade will presented.

Alternatives

Package Version Architecture Repository
perl-Module-Install-CheckConflicts-0.20.0-5-rosa2014.1.noarch.rpm 0.20.0 noarch ROSA Contrib
perl-Module-Install-CheckConflicts - - -

Requires

Name Value
perl(Module::Install::Base) -
perl(abi) >= 5.18.2

Provides

Name Value
perl(Module::Install::CheckConflicts) == 0.20.0
perl-Module-Install-CheckConflicts == 0.20.0-5:2014.1

Download

Type URL
Binary Package perl-Module-Install-CheckConflicts-0.20.0-5-rosa2014.1.noarch.rpm
Source Package perl-Module-Install-CheckConflicts-0.20.0-5.src.rpm

Install Howto

  1. Enable ROSA Contrib repository on Install and Remove Software
  2. Update packages list:
    # urpmi.update -a
  3. Install perl-Module-Install-CheckConflicts rpm package:
    # urpmi perl-Module-Install-CheckConflicts

Files

Path
/usr/lib/perl5/vendor_perl/5.18.2/Module/
/usr/lib/perl5/vendor_perl/5.18.2/Module/Install/CheckConflicts.pm
/usr/share/doc/perl-Module-Install-CheckConflicts/Changes
/usr/share/doc/perl-Module-Install-CheckConflicts/META.yml
/usr/share/doc/perl-Module-Install-CheckConflicts/README
/usr/share/man/man3/Module::Install::CheckConflicts.3pm.xz

Changelog

2014-07-25 - Denis Silakov <denis.silakov@rosalab.ru> 0.20.0-5
+ Revision: 859b5b0
- MassBuild#464: Increase release tag

See Also

Package Description
perl-Module-Install-CheckLib-0.80.0-5-rosa2014.1.noarch.rpm A Module::Install extension to check that a library is available
perl-Module-Install-ExtraTests-0.8.0-3-rosa2014.1.noarch.rpm Module-Install-ExtraTests perl module
perl-Module-Install-Repository-0.60.0-6-rosa2014.1.noarch.rpm Automatically sets repository URL from svn/svk/Git checkout
perl-Module-Install-StandardTests-0.50.0-5-rosa2014.1.noarch.rpm Generate standard tests for installation
perl-Module-Install-Template-0.80.0-5-rosa2014.1.noarch.rpm Treat module source code as a template
perl-Module-Load-0.320.0-3-rosa2014.1.noarch.rpm Runtime require of both modules and files
perl-Module-Loaded-0.80.0-3-rosa2014.1.noarch.rpm Mark modules as loaded or unloaded
perl-Module-Manifest-1.80.0-5-rosa2014.1.noarch.rpm Parse and examine a Perl distribution MANIFEST file
perl-Module-Math-Depends-0.20.0-5-rosa2014.1.noarch.rpm Convenience object for manipulating module dependencies
perl-Module-Metadata-1.0.24-2-rosa2014.1.noarch.rpm Gather package and POD information from perl module files
perl-Module-Packaged-Generator-1.111.930-5-rosa2014.1.noarch.rpm Role to provide easy url fetching
perl-Module-Path-0.130.0-3-rosa2014.1.noarch.rpm Get the full path to a locally installed module
perl-Module-Pluggable-Fast-0.190.0-4-rosa2014.1.noarch.rpm Fast plugins with instantiation
perl-Module-Pluggable-Ordered-1.500.0-5-rosa2014.1.noarch.rpm Call module plugins in a specified order
perl-Module-Refresh-0.170.0-3-rosa2014.1.noarch.rpm Refresh INC files when the module is updated on disk
Advertisement
Advertisement